<!--<?php
include_once PrintEot('left');
print <<<EOT
-->
<h3>提示信息</h3>
<div class="tr5"><ul><li>头部横幅广告：显示在页面的头部，一般以图片或flash方式显示，多条头部横幅广告时系统将随机选取一条显示</li>
<li>底部横幅广告：显示在页面的底部，一般以图片或flash方式显示，多条底部横幅广告时系统将随机选取一条显示</li>
<li>楼层广告：出现在帖子及首页楼层间，一般以图片或flash方式显示，多条帖间广告时系统将随机选取一条显示</li>
<li>文字广告：显示在页面的头部，一般以文字方式显示，每行四条广告，超过四条将换行显示</li>
<li>浮动广告：以各种形式在页面内漂浮的广告，分为左漂浮，右漂浮，随机漂浮</li>
<li>弹窗广告：在页面右下角以浮动的层显示的广告内容，建议该广告内容设置为Window，否则可能出现JS错误</li>
<li>另只有右下弹窗会根据Window广告类型的自动消失时间消失，其他广告不会自动消失</li>
<li><b>出租广告位：</b>点击出租广告位的描述即可进行审核操作</li>
</ul></div>
<!--
EOT;
if(!$job){print <<<EOT
-->
<ul class="nav3">
	<li><a href="$basename&action=advert" class="two">广告管理</a></li>
	<li><a href="$basename&action=advert&job=add">添加广告</a></li>
</ul>
<div class="c"></div>
<form action="$basename" method="post">
<h2>搜索</h2>
<table width="100%" cellspacing="0" cellpadding="0">
	<tr class="tr3">
		<td>
			广告类型： <select name="varname">
				<option></option>
				<option value="header">头部横幅</option>
				<option value="footer">底部横幅</option>
				<option value="text">文字广告</option>
				<option value="article">楼层广告</option>
				<option value="leftfloat">对联广告[左]</option>
				<option value="rightfloat">对联广告[右]</option>
				<option value="float">漂浮广告</option>
				<option value="popup">右下弹窗</option>
			</select>
		</td>
		<td>关键字：<input type="text" class="input" name="keyword" /></td>
		<td width="45%"><input type="submit" class="btn" value=" 确定 " /></td>
	</tr>
</table></form>
<br />
<form method="post" action="$basename&action=advert&job=del&">
<h2>广告管理</h2>
<table width="100%" cellspacing="0" cellpadding="0">
	<tr class="tr3 tac s3">
		<td width="5%">启用</td>
		<td width="5%">顺序</td>
		<td width="15%">广告类型</td>
		<td width="25%">广告描述</td>
		<td width="12%">结束时间</td>
		<td>投放范围</td>
		<td width="7%">出租位</td>
		<td width="5%" class="tal">编辑</td>
		<td width="5%">删除</td>
	</tr>
<!--
EOT;
foreach ($moduledb as $key => $value) {
	$state = $value['state'] ? 'checked' : '';
	$area='';
	foreach ($value['fid'] as $k => $v) {
		if ($v == '-4') {
			$area .= '所有页面 ';
		} elseif ($v == '-3') {
			$area .= '帖子页面 ';
		} elseif ($v == '-2') {
			$area .= '主题列表页面 ';
		} elseif ($v == '-1') {
			$area .= '首页 ';
		} elseif (is_numeric($v)) {
			$area .= $forum[$v][name].' ';
		}
	}
print <<<EOT
-->
	<tr class="tr3 tac">
		<td>
			<input type="checkbox" name="applyid[]" value="$value[id]" $state />
			<input type="hidden" name="allid[]" value="$value[id]" />
		</td>
		<td>$value[vieworder]</td>
		<td>$value[varname]</td>
		<td>$value[title]</td>
		<td>$value[endtime]</td>
		<td>$area</td>
<!--
EOT;
if($value['ifhire']){print <<<EOT
-->
		<td><font color="red">是</font>
<!--
EOT;
if($value['ifhavebuy']){print<<<EOT
-->
	<a href="$basename&job=check&id=$value[id]">[审]</a>
<!--
EOT;
}print<<<EOT
-->
</td>
<!--
EOT;
}else{print <<<EOT
-->
		<td>否</td>
<!--
EOT;
}print <<<EOT
-->
		<td><a class="fourm-two" href="$basename&action=advert&job=edit&id=$value[id]" title="编辑"><span class="edit"></span></a></td>
		<td><input type="checkbox" name="selid[]" value="$value[id]"></td>
	</tr>
<!--
EOT;
}print <<<EOT
-->
</table>$pages
<br>
<center><input type="submit" class="btn" value="提 交"></center>
</form>
<br>
<!--
EOT;
}elseif($job=='add' || $job=='edit'){print <<<EOT
-->
<ul class="nav3">
	<li><a href="$basename&action=advert">广告管理</a></li>
	<li><a href="$basename&action=advert&job=add" class="two">添加广告</a></li>
</ul>
<div class="c"></div>
<script language="JavaScript" src="js/date.js"></script>
<form method="post" name="FORM" action="$basename&action=advert&job=$job&">
<input type="hidden" name="step" value="2">
<input type="hidden" name="id" value="$id">
<h2>添加广告</h2>
<table width="100%" cellspacing="0" cellpadding="0">
	<tr class="tr3">
		<td width="15%"><b>是否为出租广告位</b></td>
		<td><input type="radio" id="ifhire_1" name="ifhire" value="1" onClick="hireChange(this.value);" $ifhire_Y />是<input type="radio" id="ifhire_0" name="ifhire" value="0" onClick="hireChange(this.value);" $ifhire_N />否</td>
	</tr>
	<tbody id="hireinfo" style="display:none;">
	<tr class="tr3">
		<td width="15%"><b>价格：(每天)</b></td>
		<td class="b"><input type="text" class="input" name="module[price]" value="$config[price]" size="5" /> <select name="module[creditype]">$CreditList</select></td>
	</tr>
	<tr class="tr3">
		<td width="15%"><b>广告位管理者</b></td>
		<td class="b"><input type="text" class="input" name="module[operator]" value="$config[operator]" /> (当有用户申请该广告位时，将发送短消息通知该管理者，多个管理用“,”分开)</td>
	</tr>
	</tbody>
	<tr class="tr3">
		<td width="15%"><b>显示顺序</b></td>
		<td><input type="text" class="input" name="vieworder" value="$rt[vieworder]" size="5"></td>
	</tr>
	<tr class="tr3">
		<td><b>广告标识符</b></td>
		<td>
			<select onchange="seladtype(this.value)">
				<option>请选择您的广告类型</option>
				<option value="header">头部横幅</option>
				<option value="footer">底部横幅</option>
				<option value="text">文字广告</option>
				<option value="article">楼层广告</option>
				<option value="leftfloat">对联广告[左]</option>
				<option value="rightfloat">对联广告[右]</option>
				<option value="float">漂浮广告</option>
				<option value="popup">右下弹窗</option>
<!--
EOT;
foreach($adtype as $key=>$val){print <<<EOT
-->
				<option value="$val[varname]">$val[title]</option>
<!--
EOT;
}print <<<EOT
-->
			</select>
			<input type="text" class="input" size="20" id="varname" name="varname" value="$rt[varname]">
		</td>
	</tr>
	<tr class="tr3">
		<td><b>展现方式</b></td>
		<td>
			<select id="adstyle" name="module[style]" onchange="showcode(this.options[this.selectedIndex].value)">
				<option value="txt" $style_txt>文字</option>
				<option value="img" $style_img>图片</option>
				<option value="flash" $style_flash>Flash</option>
				<option value="code" $style_code>代码</option>
			</select>
		</td>
	</tr>
	<tr class="tr3">
		<td><b>开始时间</b> - <b>结束时间</b></td>
		<td><input type="text" class="input" size="19" name="module[starttime]" id="starttime" value="$config[starttime]" onClick="ShowCalendar(this.id);" > - <input type="text" class="input" size="20" name="module[endtime]" id="endtime" value="$config[endtime]" onClick="ShowCalendar(this.id);" > 格式：yyyy-mm-dd</td>
	</tr>
	<tr class="tr3">
		<td colspan="2">
		<div id="window" style="display:none;" disabled>
			<table width="100%" cellspacing="0" cellpadding="0">
				<tr><td colspan="2">窗口设置</td></tr>
				<tr>
					<td width="30%"><b>窗口标题</b></td>
					<td><input type="text" class="input" name="title" size="40" value="$rt[title]"></td>
				</tr>
				<tr>
					<td><b>窗口高度</b></td>
					<td><input type="text" class="input" name="module[height]" size="10" value="$config[height]"></td>
				</tr>
				<tr>
					<td><b>窗口宽度</b></td>
					<td><input type="text" class="input" name="module[width]" size="10" value="$config[width]"></td>
				</tr>
				<tr>
					<td><b>自动关闭时间</b></td>
					<td><input type="text" class="input" name="module[close]" size="10" value="$config[close]">秒</td>
				</tr>
			</table>
			<br />
		</div>
		</td>
	</tr>
	<tr class="tr3">
		<td colspan="2"><div id='advert'></div></td>
	</tr>
	<tr class="tr3">
		<td><b>投放范围</b></td>
		<td><select name="selids[]" size="16" style="margin:2px;" multiple>
			<option value="-4" $selids_04>>> 所有页面 </option>
			<option value="-1" $selids_01>>> 首页 </option>
			<option value="-2" $selids_02>>> 主题列表页面</option>
			<option value="-3" $selids_03>>> 帖子页面</option>
			<option value=""></option>
			$forumcache
		</select>
		</td>
	</tr>
	<tbody id="article" style="display:none">
	<tr class="tr3">
		<td><b>投放楼层</b></td>
		<td><select name="lou[]" size="8" style="margin:2px;" multiple>
		<option value="-1" $lou_01>&nbsp;&raquo; 全部&nbsp;</option><option value=""></option>
<!--
EOT;
for($i=1;$i<=$db_readperpage;$i++){
print <<<EOT
-->
		<option value="$i" ${'lou_'.$i}>&nbsp;&raquo; #{$i}
<!--
EOT;
}print <<<EOT
-->
		</select></td>
	</tr>
	<tr class="tr3">
		<td><b>投放位置</b></td>
		<td>
			<input name="module[position]" type="radio" value='1' $pst_1 />帖子右侧
			<input name="module[position]" type="radio" value='2' $pst_2 />帖子下方
			<input name="module[position]" type="radio" value='5' $pst_5 />帖子上方
			<input name="module[position]" type="radio" value='3' $pst_3 />帖子之间
			<input name="module[position]" type="radio" value='4' $pst_4 />首页分类之间
		</td>
	</tr></tbody>
</table>
<br>
<center><input type="submit" class="btn" value="提 交"></center>
</form><br />

<div id="code" style="display:none;" disabled>
	<table width="100%" cellspacing="0" cellpadding="0">
		<tr class="tr3 s3"><td colspan="2"><b>代码</b></td></tr>
		<tr class="tr3">
			<td><b>广告描述:</b></td>
			<td><input type="text" class="input" size="43" name="title" value="$rt[title]"> 广告信息描述，并不在前台显示</td>
		</tr>
		<tr class="tr3">
			<td width="30%"><b>广告代码:</b><br>请填写广告代码，支持html代码</td>
			<td><textarea name="module[htmlcode]" rows="5" cols="50">$config[htmlcode]</textarea></td>
		</tr>
	</table>
</div>
<div id="txt" style="display:none;" disabled>
	<table width="100%" cellspacing="0" cellpadding="0">
		<tr class="tr3 s3"><td colspan="2"><b>文字</b></td></tr>
		<tr class="tr3">
			<td width="30%"><b>文字内容*</b></td>
			<td><input type="text" class="input" size="70" name="module[title]" value="$config[title]"></td>
		</tr>
		<tr class="tr3">
			<td><b>文字链接*</b></td>
			<td><input type="text" class="input" size="70" id="txtlink" name="module[link]" value="$config[link]"></td>
		</tr>
		<tr class="tr3">
			<td><b>文字颜色</b> ( 例如:red 或则 #EF8684 )</td>
			<td><input type="text" class="input" size="10" name="module[color]" value="$config[color]"></td>
		</tr>
		<tr class="tr3">
			<td><b>文字大小</b> ( 例如: 4px 或则 12px )</td>
			<td><input type="text" class="input" size="10" name="module[size]" value="$config[size]"></td>
		</tr>
	</table>
</div>
<div id="img" style="display:none;" disabled>
	<table width="100%" cellspacing="0" cellpadding="0">
		<tr class="tr3 s3"><td colspan="2"><b>图片</b></td></tr>
		<tr class="tr3">
			<td><b>广告描述:</b></td>
			<td><input type="text" class="input" size="43" name="title" value="$rt[title]"> 广告信息描述，并不在前台显示</td>
		</tr>
		<tr class="tr3">
			<td width="30%"><b>图片地址*</b></td>
			<td><input type="text" class="input" size="40" name="module[url]" value="$config[url]"></td>
		</tr>
		<tr>
			<td><b>图片链接*</b></td>
			<td><input type="text" class="input" size="40" id="imglink" name="module[link]" value="$config[link]"></td>
		</tr>
		<tr class="tr3">
			<td><b>图片宽度</b></td>
			<td><input type="text" class="input" size="10" name="module[width]" value="$config[width]"></td>
		</tr>
		<tr class="tr3">
			<td><b>图片高度</b></td>
			<td><input type="text" class="input" size="10" name="module[height]" value="$config[height]"></td>
		</tr>
		<tr class="tr3">
			<td><b>图片描述</b></td>
			<td><input type="text" class="input" size="40" name="module[descrip]" value="$config[descrip]"></td>
		</tr>
	</table>
</div>
<div id="flash" style="display:none;" disabled>
	<table width="100%" cellspacing="0" cellpadding="0">
		<tr class="tr3 s3"><td colspan="2"><b>flash</b></td></tr>
		<tr class="tr3">
			<td><b>广告描述:</b></td>
			<td><input type="text" class="input" size="43" name="title" value="$rt[title]"> 广告信息描述，并不在前台显示</td>
		</tr>
		<tr class="tr3">
			<td width="30%"><b>flash链接</b></td>
			<td><input type="text" class="input" size="40" name="module[link]" value="$config[link]">(当为出租广告位时，请填写展示图片地址)</td>
		</tr>
		<tr class="tr3">
			<td><b>flash宽度</b></td>
			<td><input type="text" class="input" size="40" name="module[width]" value="$config[width]"></td>
		</tr>
		<tr class="tr3">
			<td><b>flash高度</b></td>
			<td><input type="text" class="input" size="40" name="module[height]" value="$config[height]"></td>
		</tr>
	</table>
</div>
<script language="JavaScript">
function getObj(id){
	return document.getElementById(id);
}
function seladtype(adtype) {
	getObj('varname').value = adtype;
	if (adtype == 'popup') {
		getObj('window').style.display = '';
		getObj('window').disabled = false;
	} else {
		getObj('window').style.display = 'none';
		getObj('window').disabled = true;
	}
	if (adtype == 'article') {
		getObj('article').style.display = '';
	} else{
		getObj('article').style.display = 'none';
	}
}
function showcode(idName) {
	var obj  = getObj("advert");
	var obj2 = getObj(idName);
	obj.innerHTML = obj2.innerHTML;
	if (document.getElementById('ifhire_1').checked == true) {
		linkChange(1);
	} else {
		linkChange(0);
	}
}
function hireChange(type) {
	if ((type-0) == 1) {
		var thistype = getObj('adstyle').value;
		getObj('hireinfo').style.display = '';
		getObj('hireinfo').disabled = false;
		optionDel('adstyle','code');
		if (thistype == 'code') {
			showcode('txt');
		} else {
			showcode(thistype);
		}
	} else {
		getObj('hireinfo').style.display = 'none';
		getObj('hireinfo').disabled = true;
		optionAdd('adstyle', 'code', '代码')
	}
	linkChange(type);
}
function linkChange(type) {
	if ((type-0) == 1) {
		getObj('txtlink').value = '';
		getObj('txtlink').style.readOnly = true;
		getObj('txtlink').disabled = true;
		getObj('imglink').value = '';
		getObj('imglink').disabled = true;
		getObj('imglink').style.readOnly = true;
	} else {
		getObj('txtlink').disabled = false;
		getObj('txtlink').style.readOnly = false;
		getObj('imglink').disabled = false;
		getObj('imglink').style.readOnly = false;
	}
}

function optionAdd(inputname, value, title) {
	var obj = getObj(inputname);
	if (optionExist(obj,value)) {
		return false;
	}
	var length = obj.length;
	obj.options[length] = new Option(title,value);

}
function optionExist(obj,value){
	var isexit = false;
	for (var i = 0; i < obj.options.length; i++) {
		if (obj.options[i].value == value) {
			isexit = true;
			break;
		}
	}
	return isexit;
}
function optionDel(inputname,value) {
	var obj = getObj(inputname);
	for (var i = 0; i < obj.options.length; i++) {
		if (obj.options[i].value == value) {
			obj.options[i] = null;
			break;
		}
	}
}
showcode('$style');
seladtype('$adtype');
hireChange('$ifhire');
</script>
<!--
EOT;
}elseif($job=='check'){
$arr_adtype=array('txt'=>'文字','img'=>'图片','flash'=>'flash');
$adtype = $arr_adtype[$config[style]];
$arr_varname=array('header'=>'头部横幅','footer'=>'底部横幅','text'=>'文字广告','article'=>'楼层广告','leftfloat'=>'对联广告[左]','rightfloat'=>'对联广告[右]','float'=>'漂浮广告','popup'=>'右下弹窗');
$varname = $arr_varname[$advert[varname]];
print <<<EOT
-->
<h2>广告信息</h2>
<table width="100%" cellspacing="0" cellpadding="0">
	<tr class="tr3">
		<td width="30%">广告类型：</td>
		<td>$varname</td>
	</tr>
	<tr class="tr3">
		<td>展现方式：</td>
		<td>$adtype</td>
	</tr>
	<tr class="tr3">
		<td>价格：</td>
		<td>$config[price] [{$credit->cType[$config[creditype]]}]/天</td>
	</tr>
</table>

<br />
<h2>广告审核</h2>
<table width="100%" cellspacing="0" cellpadding="0">
<!--
EOT;
if($config[style]=='txt' || $config[style]=='flash'){
print <<<EOT
-->
	<tr class="tr3">
		<td>用户名</td>
		<td>文字说明</td>
		<td>链接地址</td>
		<td>天数</td>
		<td>审核</td>
	</tr>
<!--
EOT;
foreach($arr_buyer as $value){
$advertinfo = $value[config];
print <<<EOT
-->
	<tr class="tr3">
		<td>$value[username]</td>
		<td>$advertinfo[title]</td>
		<td>$advertinfo[link]</td>
		<td>$advertinfo[days]</td>
		<td><a href="$basename&job=check&id=$id&uid=$value[uid]&step=2">通过</a></td>
	</tr>
<!--
EOT;
}
print <<<EOT
-->
<!--
EOT;
}elseif($config[style]=='img'){
print <<<EOT
-->
	<tr><td colspan="6" class="tr4">广告审核</td></tr>
	<tr class="tr3">
		<td>用户名</td>
		<td>文字说明</td>
		<td>图片地址</td>
		<td>链接地址</td>
		<td>天数</td>
		<td>审核</td>
	</tr>
<!--
EOT;
foreach($arr_buyer as $value){
$advertinfo = $value[config];
print <<<EOT
-->
	<tr class="tr3">
		<td>$value[username]</td>
		<td>$advertinfo[title]</td>
		<td>$advertinfo[url]</td>
		<td>$advertinfo[link]</td>
		<td>$advertinfo[days]</td>
		<td><a href="$basename&job=check&id=$id&uid=$value[uid]&step=2">通过</a></td>
	</tr>
<!--
EOT;
}
print <<<EOT
-->
<!--
EOT;
}
print <<<EOT
-->
</table>
$pages<br />
<!--
EOT;
}include_once PrintEot('adminbottom');
?>-->